Get Batch Results
curl --request GET \
--url https://datamatcher-api.thedatacity.com/api/v1/match/batch/{job_id}/results \
--header 'Authorization: Bearer <token>'import requests
url = "https://datamatcher-api.thedatacity.com/api/v1/match/batch/{job_id}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://datamatcher-api.thedatacity.com/api/v1/match/batch/{job_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"total": 123,
"skip": 123,
"limit": 123,
"data": [
{
"input_name": "<string>",
"id": "<string>",
"input_url": "<string>",
"postcode": "<string>",
"sic_code": "<string>",
"start_trading_date": "<string>",
"matched_company_number": "<string>",
"matched_company_name": "<string>",
"active": "<string>",
"rigorous_match": false,
"route": "<string>",
"reasons": [],
"degraded": [],
"error": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Endpoints
Get Batch Results
GET
/
api
/
v1
/
match
/
batch
/
{job_id}
/
results
Get Batch Results
Authorizations
Customer API key (dm_live_…)
Path Parameters
Query Parameters
Required range:
x >= 0Required range:
1 <= x <= 1000Response
Batch results. Each row uses the same field visibility as POST /match: debug fields only for superuser API keys.
Last modified on August 20, 2026
⌘I